diff -urN linux-2.6.0-test1/arch/mips/lib/dump_tlb.c linux-2.6.0-test1-printk-mips/arch/mips/lib/dump_tlb.c
--- linux-2.6.0-test1/arch/mips/lib/dump_tlb.c	2003-07-13 23:34:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/lib/dump_tlb.c	2003-07-17 20:16:34.000000000 -0400
@@ -43,7 +43,7 @@
 
 	asid = read_c0_entryhi() & 0xff;
 
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 	for(i=first;i<=last;i++) {
 		write_c0_index(i);
 		__asm__ __volatile__(
@@ -65,24 +65,24 @@
 			/*
 			 * Only print entries in use
 			 */
-			printk("Index: %2d pgmask=%s ", i, msg2str(pagemask));
+			printk(KERN_DEBUG "Index: %2d pgmask=%s ", i, msg2str(pagemask));
 
 			c0 = (entrylo0 >> 3) & 7;
 			c1 = (entrylo1 >> 3) & 7;
 
-			printk("va=%08lx asid=%02lx\n",
+			printk(KERN_DEBUG "va=%08lx asid=%02lx\n",
 			       (entryhi & 0xffffe000), (entryhi & 0xff));
-			printk("\t\t\t[pa=%08Lx c=%d d=%d v=%d g=%Ld]\n",
+			printk(KERN_DEBUG "\t\t\t[pa=%08Lx c=%d d=%d v=%d g=%Ld]\n",
 			       (entrylo0 << 6) & PAGE_MASK, c0,
 			       (entrylo0 & 4) ? 1 : 0,
 			       (entrylo0 & 2) ? 1 : 0,
 			       (entrylo0 & 1));
-			printk("\t\t\t[pa=%08Lx c=%d d=%d v=%d g=%Ld]\n",
+			printk(KERN_DEBUG "\t\t\t[pa=%08Lx c=%d d=%d v=%d g=%Ld]\n",
 			       (entrylo1 << 6) & PAGE_MASK, c1,
 			       (entrylo1 & 4) ? 1 : 0,
 			       (entrylo1 & 2) ? 1 : 0,
 			       (entrylo1 & 1));
-			printk("\n");
+			printk(KERN_DEBUG "\n");
 		}
 	}
 
@@ -99,7 +99,7 @@
 	int	wired;
 
 	wired = read_c0_wired();
-	printk("Wired: %d", wired);
+	printk(KERN_DEBUG "Wired: %d", wired);
 	dump_tlb(0, read_c0_wired());
 }
 
@@ -127,11 +127,11 @@
 	local_irq_restore(flags);
 
 	if (index < 0) {
-		printk("No entry for address 0x%08lx in TLB\n", addr);
+		printk(KERN_DEBUG "No entry for address 0x%08lx in TLB\n", addr);
 		return;
 	}
 
-	printk("Entry %d maps address 0x%08lx\n", index, addr);
+	printk(KERN_DEBUG "Entry %d maps address 0x%08lx\n", index, addr);
 	dump_tlb(index, index);
 }
 
@@ -152,46 +152,46 @@
 
 	addr = (unsigned int) address;
 
-	printk("Addr                 == %08x\n", addr);
-	printk("task                 == %8p\n", t);
-	printk("task->mm             == %8p\n", t->mm);
-	//printk("tasks->mm.pgd        == %08x\n", (unsigned int) t->mm->pgd);
+	printk(KERN_DEBUG "Addr                 == %08x\n", addr);
+	printk(KERN_DEBUG "task                 == %8p\n", t);
+	printk(KERN_DEBUG "task->mm             == %8p\n", t->mm);
+	//printk(KERN_DEBUG "tasks->mm.pgd        == %08x\n", (unsigned int) t->mm->pgd);
 
 	if (addr > KSEG0)
 		page_dir = pgd_offset_k(0);
 	else
 		page_dir = pgd_offset(t->mm, 0);
-	printk("page_dir == %08x\n", (unsigned int) page_dir);
+	printk(KERN_DEBUG "page_dir == %08x\n", (unsigned int) page_dir);
 
 	if (addr > KSEG0)
 		pgd = pgd_offset_k(addr);
 	else
 		pgd = pgd_offset(t->mm, addr);
-	printk("pgd == %08x, ", (unsigned int) pgd);
+	printk(KERN_DEBUG "pgd == %08x, ", (unsigned int) pgd);
 
 	pmd = pmd_offset(pgd, addr);
-	printk("pmd == %08x, ", (unsigned int) pmd);
+	printk(KERN_DEBUG "pmd == %08x, ", (unsigned int) pmd);
 
 	pte = pte_offset(pmd, addr);
-	printk("pte == %08x, ", (unsigned int) pte);
+	printk(KERN_DEBUG "pte == %08x, ", (unsigned int) pte);
 
 	page = *pte;
 #ifdef CONFIG_64BIT_PHYS_ADDR
-	printk("page == %08Lx\n", pte_val(page));
+	printk(KERN_DEBUG "page == %08Lx\n", pte_val(page));
 #else
-	printk("page == %08lx\n", pte_val(page));
+	printk(KERN_DEBUG "page == %08lx\n", pte_val(page));
 #endif
 
 	val = pte_val(page);
-	if (val & _PAGE_PRESENT) printk("present ");
-	if (val & _PAGE_READ) printk("read ");
-	if (val & _PAGE_WRITE) printk("write ");
-	if (val & _PAGE_ACCESSED) printk("accessed ");
-	if (val & _PAGE_MODIFIED) printk("modified ");
-	if (val & _PAGE_R4KBUG) printk("r4kbug ");
-	if (val & _PAGE_GLOBAL) printk("global ");
-	if (val & _PAGE_VALID) printk("valid ");
-	printk("\n");
+	if (val & _PAGE_PRESENT) printk(KERN_DEBUG "present ");
+	if (val & _PAGE_READ) printk(KERN_DEBUG "read ");
+	if (val & _PAGE_WRITE) printk(KERN_DEBUG "write ");
+	if (val & _PAGE_ACCESSED) printk(KERN_DEBUG "accessed ");
+	if (val & _PAGE_MODIFIED) printk(KERN_DEBUG "modified ");
+	if (val & _PAGE_R4KBUG) printk(KERN_DEBUG "r4kbug ");
+	if (val & _PAGE_GLOBAL) printk(KERN_DEBUG "global ");
+	if (val & _PAGE_VALID) printk(KERN_DEBUG "valid ");
+	printk(KERN_DEBUG "\n");
 }
 
 void
@@ -225,7 +225,7 @@
 
 	for(i=0;i<8;i++)
 	{
-		printk("*%8p = %08lx, ", p, *p); p++;
-		printk("*%8p = %08lx\n", p, *p); p++;
+		printk(KERN_DEBUG "*%8p = %08lx, ", p, *p); p++;
+		printk(KERN_DEBUG "*%8p = %08lx\n", p, *p); p++;
 	}
 }
diff -urN linux-2.6.0-test1/arch/mips/lib/r3k_dump_tlb.c linux-2.6.0-test1-printk-mips/arch/mips/lib/r3k_dump_tlb.c
--- linux-2.6.0-test1/arch/mips/lib/r3k_dump_tlb.c	2003-07-13 23:30:38.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/lib/r3k_dump_tlb.c	2003-07-17 20:15:29.000000000 -0400
@@ -45,9 +45,9 @@
 			/*
 			 * Only print entries in use
 			 */
-			printk("Index: %2d ", i);
+			printk(KERN_DEBUG "Index: %2d ", i);
 
-			printk("va=%08lx asid=%08lx"
+			printk(KERN_DEBUG "va=%08lx asid=%08lx"
 			       "  [pa=%06lx n=%d d=%d v=%d g=%d]",
 			       (entryhi & 0xffffe000),
 			       entryhi & 0xfc0,
@@ -58,7 +58,7 @@
 			       (entrylo0 & (1 << 8)) ? 1 : 0);
 		}
 	}
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 
 	write_c0_entryhi(asid);
 }
@@ -74,7 +74,7 @@
 {
 	int wired = r3k_have_wired_reg ? read_c0_wired() : 8;
 
-	printk("Wired: %d", wired);
+	printk(KERN_DEBUG "Wired: %d", wired);
 	dump_tlb(0, wired - 1);
 }
 
@@ -93,11 +93,11 @@
 	local_irq_restore(flags);
 
 	if (index < 0) {
-		printk("No entry for address 0x%08lx in TLB\n", addr);
+		printk(KERN_DEBUG "No entry for address 0x%08lx in TLB\n", addr);
 		return;
 	}
 
-	printk("Entry %d maps address 0x%08lx\n", index, addr);
+	printk(KERN_DEBUG "Entry %d maps address 0x%08lx\n", index, addr);
 	dump_tlb(index, index);
 }
 
@@ -119,33 +119,33 @@
 
 	addr = (unsigned int) address;
 
-	printk("Addr                 == %08x\n", addr);
-	printk("tasks->mm.pgd        == %08x\n", (unsigned int) t->mm->pgd);
+	printk(KERN_DEBUG "Addr                 == %08x\n", addr);
+	printk(KERN_DEBUG "tasks->mm.pgd        == %08x\n", (unsigned int) t->mm->pgd);
 
 	page_dir = pgd_offset(t->mm, 0);
-	printk("page_dir == %08x\n", (unsigned int) page_dir);
+	printk(KERN_DEBUG "page_dir == %08x\n", (unsigned int) page_dir);
 
 	pgd = pgd_offset(t->mm, addr);
-	printk("pgd == %08x, ", (unsigned int) pgd);
+	printk(KERN_DEBUG "pgd == %08x, ", (unsigned int) pgd);
 
 	pmd = pmd_offset(pgd, addr);
-	printk("pmd == %08x, ", (unsigned int) pmd);
+	printk(KERN_DEBUG "pmd == %08x, ", (unsigned int) pmd);
 
 	pte = pte_offset(pmd, addr);
-	printk("pte == %08x, ", (unsigned int) pte);
+	printk(KERN_DEBUG "pte == %08x, ", (unsigned int) pte);
 
 	page = *pte;
-	printk("page == %08x\n", (unsigned int) pte_val(page));
+	printk(KERN_DEBUG "page == %08x\n", (unsigned int) pte_val(page));
 
 	val = pte_val(page);
-	if (val & _PAGE_PRESENT) printk("present ");
-	if (val & _PAGE_READ) printk("read ");
-	if (val & _PAGE_WRITE) printk("write ");
-	if (val & _PAGE_ACCESSED) printk("accessed ");
-	if (val & _PAGE_MODIFIED) printk("modified ");
-	if (val & _PAGE_GLOBAL) printk("global ");
-	if (val & _PAGE_VALID) printk("valid ");
-	printk("\n");
+	if (val & _PAGE_PRESENT) printk(KERN_DEBUG "present ");
+	if (val & _PAGE_READ) printk(KERN_DEBUG "read ");
+	if (val & _PAGE_WRITE) printk(KERN_DEBUG "write ");
+	if (val & _PAGE_ACCESSED) printk(KERN_DEBUG "accessed ");
+	if (val & _PAGE_MODIFIED) printk(KERN_DEBUG "modified ");
+	if (val & _PAGE_GLOBAL) printk(KERN_DEBUG "global ");
+	if (val & _PAGE_VALID) printk(KERN_DEBUG "valid ");
+	printk(KERN_DEBUG "\n");
 }
 
 void
@@ -179,9 +179,9 @@
 
 	for(i=0;i<8;i++)
 	{
-		printk("*%08lx == %08lx, ",
+		printk(KERN_DEBUG "*%08lx == %08lx, ",
 		       (unsigned long)p, (unsigned long)*p++);
-		printk("*%08lx == %08lx\n",
+		printk(KERN_DEBUG "*%08lx == %08lx\n",
 		       (unsigned long)p, (unsigned long)*p++);
 	}
 }
diff -urN linux-2.6.0-test1/arch/mips/math-emu/cp1emu.c linux-2.6.0-test1-printk-mips/arch/mips/math-emu/cp1emu.c
--- linux-2.6.0-test1/arch/mips/math-emu/cp1emu.c	2003-07-13 23:38:00.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/math-emu/cp1emu.c	2003-07-16 16:28:37.000000000 -0400
@@ -228,7 +228,7 @@
 
 		if (__compute_return_epc(xcp)) {
 #ifdef CP1DBG
-			printk("failed to emulate branch at %p\n",
+			printk(KERN_ERR "failed to emulate branch at %p\n",
 				REG_TO_VA(xcp->cp0_epc));
 #endif
 			return SIGILL;
@@ -373,7 +373,7 @@
 			if (MIPSInst_RD(ir) == FPCREG_CSR) {
 				value = ctx->sr;
 #ifdef CSRTRACE
-				printk("%p gpr[%d]<-csr=%08x\n",
+				printk(KERN_DEBUG "%p gpr[%d]<-csr=%08x\n",
 					REG_TO_VA(xcp->cp0_epc),
 					MIPSInst_RT(ir), value);
 #endif
@@ -400,7 +400,7 @@
 			 */
 			if (MIPSInst_RD(ir) == FPCREG_CSR) {
 #ifdef CSRTRACE
-				printk("%p gpr[%d]->csr=%08x\n",
+				printk(KERN_DEBUG "%p gpr[%d]->csr=%08x\n",
 					REG_TO_VA(xcp->cp0_epc),
 					MIPSInst_RT(ir), value);
 #endif
@@ -705,7 +705,7 @@
 			if (ieee754_csr.nod)
 				ctx->sr |= 0x1000000;
 			if ((ctx->sr >> 5) & ctx->sr & FPU_CSR_ALL_E) {
-				/*printk ("SIGFPE: fpu csr = %08x\n",
+				/*printk (KERN_WARNING "SIGFPE: fpu csr = %08x\n",
 				   ctx->sr); */
 				return SIGFPE;
 			}
@@ -1239,7 +1239,7 @@
 	 */
 	ctx->sr = (ctx->sr & ~FPU_CSR_ALL_X) | rcsr;
 	if ((ctx->sr >> 5) & ctx->sr & FPU_CSR_ALL_E) {
-		/*printk ("SIGFPE: fpu csr = %08x\n",ctx->sr); */
+		/*printk (KERN_WARNING "SIGFPE: fpu csr = %08x\n",ctx->sr); */
 		return SIGFPE;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/math-emu/dsemul.c linux-2.6.0-test1-printk-mips/arch/mips/math-emu/dsemul.c
--- linux-2.6.0-test1/arch/mips/math-emu/dsemul.c	2003-07-13 23:30:36.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/math-emu/dsemul.c	2003-07-16 16:25:03.000000000 -0400
@@ -68,7 +68,7 @@
 		return 0;
 	}
 #ifdef DSEMUL_TRACE
-	printk("dsemul %lx %lx\n", regs->cp0_epc, cpc);
+	printk(KERN_DEBUG "dsemul %lx %lx\n", regs->cp0_epc, cpc);
 
 #endif
 
@@ -157,7 +157,7 @@
 	 */
 
 #ifdef DSEMUL_TRACE
-	printk("dsemulret\n");
+	printk(KERN_DEBUG "dsemulret\n");
 #endif
 	if (__get_user(epc, &fr->epc)) {		/* Saved EPC */
 		/* This is not a good situation to be in */
diff -urN linux-2.6.0-test1/arch/mips/math-emu/ieee754d.c linux-2.6.0-test1-printk-mips/arch/mips/math-emu/ieee754d.c
--- linux-2.6.0-test1/arch/mips/math-emu/ieee754d.c	2003-07-13 23:37:57.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/math-emu/ieee754d.c	2003-07-16 16:27:35.000000000 -0400
@@ -61,39 +61,39 @@
 {
 	int i;
 
-	printk("%s", m);
-	printk("<%08x,%08x>\n", (unsigned) (x.bits >> 32),
+	printk(KERN_DEBUG "%s", m);
+	printk(KERN_DEBUG "<%08x,%08x>\n", (unsigned) (x.bits >> 32),
 	       (unsigned) x.bits);
-	printk("\t=");
+	printk(KERN_DEBUG "\t=");
 	switch (ieee754dp_class(x)) {
 	case IEEE754_CLASS_QNAN:
 	case IEEE754_CLASS_SNAN:
-		printk("Nan %c", DPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "Nan %c", DPSIGN(x) ? '-' : '+');
 		for (i = DP_FBITS - 1; i >= 0; i--)
-			printk("%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
+			printk(KERN_DEBUG "%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
 		break;
 	case IEEE754_CLASS_INF:
-		printk("%cInfinity", DPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%cInfinity", DPSIGN(x) ? '-' : '+');
 		break;
 	case IEEE754_CLASS_ZERO:
-		printk("%cZero", DPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%cZero", DPSIGN(x) ? '-' : '+');
 		break;
 	case IEEE754_CLASS_DNORM:
-		printk("%c0.", DPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%c0.", DPSIGN(x) ? '-' : '+');
 		for (i = DP_FBITS - 1; i >= 0; i--)
-			printk("%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
-		printk("e%d", DPBEXP(x) - DP_EBIAS);
+			printk(KERN_DEBUG "%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
+		printk(KERN_DEBUG "e%d", DPBEXP(x) - DP_EBIAS);
 		break;
 	case IEEE754_CLASS_NORM:
-		printk("%c1.", DPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%c1.", DPSIGN(x) ? '-' : '+');
 		for (i = DP_FBITS - 1; i >= 0; i--)
-			printk("%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
-		printk("e%d", DPBEXP(x) - DP_EBIAS);
+			printk(KERN_DEBUG "%c", DPMANT(x) & DP_MBIT(i) ? '1' : '0');
+		printk(KERN_DEBUG "e%d", DPBEXP(x) - DP_EBIAS);
 		break;
 	default:
-		printk("Illegal/Unknown IEEE754 value class");
+		printk(KERN_DEBUG "Illegal/Unknown IEEE754 value class");
 	}
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 	return x;
 }
 
@@ -101,38 +101,38 @@
 {
 	int i;
 
-	printk("%s=", m);
-	printk("<%08x>\n", (unsigned) x.bits);
-	printk("\t=");
+	printk(KERN_DEBUG "%s=", m);
+	printk(KERN_DEBUG "<%08x>\n", (unsigned) x.bits);
+	printk(KERN_DEBUG "\t=");
 	switch (ieee754sp_class(x)) {
 	case IEEE754_CLASS_QNAN:
 	case IEEE754_CLASS_SNAN:
-		printk("Nan %c", SPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "Nan %c", SPSIGN(x) ? '-' : '+');
 		for (i = SP_FBITS - 1; i >= 0; i--)
-			printk("%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
+			printk(KERN_DEBUG "%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
 		break;
 	case IEEE754_CLASS_INF:
-		printk("%cInfinity", SPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%cInfinity", SPSIGN(x) ? '-' : '+');
 		break;
 	case IEEE754_CLASS_ZERO:
-		printk("%cZero", SPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%cZero", SPSIGN(x) ? '-' : '+');
 		break;
 	case IEEE754_CLASS_DNORM:
-		printk("%c0.", SPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%c0.", SPSIGN(x) ? '-' : '+');
 		for (i = SP_FBITS - 1; i >= 0; i--)
-			printk("%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
-		printk("e%d", SPBEXP(x) - SP_EBIAS);
+			printk(KERN_DEBUG "%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
+		printk(KERN_DEBUG "e%d", SPBEXP(x) - SP_EBIAS);
 		break;
 	case IEEE754_CLASS_NORM:
-		printk("%c1.", SPSIGN(x) ? '-' : '+');
+		printk(KERN_DEBUG "%c1.", SPSIGN(x) ? '-' : '+');
 		for (i = SP_FBITS - 1; i >= 0; i--)
-			printk("%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
-		printk("e%d", SPBEXP(x) - SP_EBIAS);
+			printk(KERN_DEBUG "%c", SPMANT(x) & SP_MBIT(i) ? '1' : '0');
+		printk(KERN_DEBUG "e%d", SPBEXP(x) - SP_EBIAS);
 		break;
 	default:
-		printk("Illegal/Unknown IEEE754 value class");
+		printk(KERN_DEBUG "Illegal/Unknown IEEE754 value class");
 	}
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 	return x;
 }
 
diff -urN linux-2.6.0-test1/arch/mips/math-emu/kernel_linkage.c linux-2.6.0-test1-printk-mips/arch/mips/math-emu/kernel_linkage.c
--- linux-2.6.0-test1/arch/mips/math-emu/kernel_linkage.c	2003-07-13 23:29:30.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/math-emu/kernel_linkage.c	2003-07-16 16:24:45.000000000 -0400
@@ -42,7 +42,7 @@
 
 	if (first) {
 		first = 0;
-		printk("Algorithmics/MIPS FPU Emulator v1.5\n");
+		printk(KERN_INFO "Algorithmics/MIPS FPU Emulator v1.5\n");
 	}
 
 	current->thread.fpu.soft.sr = 0;
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/atlas/atlas_setup.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/atlas/atlas_setup.c
--- linux-2.6.0-test1/arch/mips/mips-boards/atlas/atlas_setup.c	2003-07-13 23:34:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/atlas/atlas_setup.c	2003-07-16 20:17:26.000000000 -0400
@@ -93,10 +93,10 @@
 		int line;
 		argptr += strlen("kgdb=ttyS");
 		if (*argptr != '0' && *argptr != '1')
-			printk("KGDB: Uknown serial line /dev/ttyS%c, "
+			printk(KERN_WARNING "KGDB: Uknown serial line /dev/ttyS%c, "
 			       "falling back to /dev/ttyS1\n", *argptr);
 		line = *argptr == '0' ? 0 : 1;
-		printk("KGDB: Using serial line /dev/ttyS%d for session\n",
+		printk(KERN_NOTICE "KGDB: Using serial line /dev/ttyS%d for session\n",
 		       line ? 1 : 0);
 
 		if(line == 0) {
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/generic/init.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/init.c
--- linux-2.6.0-test1/arch/mips/mips-boards/generic/init.c	2003-07-13 23:29:30.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/init.c	2003-07-16 20:15:46.000000000 -0400
@@ -102,17 +102,17 @@
 
         ethaddr_str = prom_getenv("ethaddr");
 	if (!ethaddr_str) {
-	        printk("ethaddr not set in boot prom\n");
+	        printk(KERN_WARNING "ethaddr not set in boot prom\n");
 		return -1;
 	}
 	str2eaddr(ethernet_addr, ethaddr_str);
 
 	if (init_debug > 1) {
 	        int i;
-		printk("get_ethernet_addr: ");
+		printk(KERN_DEBUG "get_ethernet_addr: ");
 	        for (i=0; i<5; i++)
-		        printk("%02x:", (unsigned char)*(ethernet_addr+i));
-		printk("%02x\n", *(ethernet_addr+i));
+		        printk(KERN_DEBUG "%02x:", (unsigned char)*(ethernet_addr+i));
+		printk(KERN_DEBUG "%02x\n", *(ethernet_addr+i));
 	}
 
 	return 0;
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/generic/memory.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/memory.c
--- linux-2.6.0-test1/arch/mips/mips-boards/generic/memory.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/memory.c	2003-07-16 20:16:12.000000000 -0400
@@ -168,5 +168,5 @@
 			freed += PAGE_SIZE;
 		}
 	}
-	printk("Freeing prom memory: %ldkb freed\n", freed >> 10);
+	printk(KERN_INFO "Freeing prom memory: %ldkb freed\n", freed >> 10);
 }
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/generic/time.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/time.c
--- linux-2.6.0-test1/arch/mips/mips-boards/generic/time.c	2003-07-13 23:35:52.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/generic/time.c	2003-07-16 20:16:41.000000000 -0400
@@ -154,9 +154,9 @@
         /* Set Data mode - binary. */
         CMOS_WRITE(CMOS_READ(RTC_CONTROL) | RTC_DM_BINARY, RTC_CONTROL);
 
-	printk("calculating r4koff... ");
+	printk(KERN_INFO "calculating r4koff... ");
 	r4k_offset = cal_r4koff();
-	printk("%08x(%d)\n", r4k_offset, r4k_offset);
+	printk(KERN_INFO "%08x(%d)\n", r4k_offset, r4k_offset);
 
         if ((read_c0_prid() & 0xffff00) ==
 	    (PRID_COMP_MIPS | PRID_IMP_20KC))
@@ -166,7 +166,7 @@
 
 	est_freq += 5000;    /* round */
 	est_freq -= est_freq%10000;
-	printk("CPU frequency %d.%02d MHz\n", est_freq/1000000,
+	printk(KERN_INFO "CPU frequency %d.%02d MHz\n", est_freq/1000000,
 	       (est_freq%1000000)*100/1000000);
 
 	local_irq_restore(flags);
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/malta/malta_int.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/malta/malta_int.c
--- linux-2.6.0-test1/arch/mips/mips-boards/malta/malta_int.c	2003-07-13 23:32:01.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/malta/malta_int.c	2003-07-16 20:12:16.000000000 -0400
@@ -71,7 +71,7 @@
 		     PIIX4_ICTLR1_OCW3);
 		if (!(inb(PIIX4_ICTLR1_OCW3) & (1 << 7))) {
 			spin_unlock_irqrestore(&mips_irq_lock, flags);
-			printk("We got a spurious interrupt from PIIX4.\n");
+			printk(KERN_NOTICE "We got a spurious interrupt from PIIX4.\n");
 			atomic_inc(&irq_err_count);
 			return -1;    /* Spurious interrupt. */
 		}
@@ -99,8 +99,8 @@
 	/* Mask out corehi interrupt. */
 	clear_c0_status(IE_IRQ3);
 
-        printk("CoreHI interrupt, shouldn't happen, so we die here!!!\n");
-        printk("epc   : %08lx\nStatus: %08lx\nCause : %08lx\nbadVaddr : %08lx\n"
+        printk(KERN_EMERG "CoreHI interrupt, shouldn't happen, so we die here!!!\n");
+        printk(KERN_EMERG "epc   : %08lx\nStatus: %08lx\nCause : %08lx\nbadVaddr : %08lx\n"
 , regs->cp0_epc, regs->cp0_status, regs->cp0_cause, regs->cp0_badvaddr);
         switch(mips_revision_corid) {
         case MIPS_REVISION_CORID_CORE_MSC:
@@ -109,25 +109,25 @@
         case MIPS_REVISION_CORID_CORE_LV:
         case MIPS_REVISION_CORID_CORE_FPGA:
                 GT_READ(GT_INTRCAUSE_OFS, data);
-                printk("GT_INTRCAUSE = %08x\n", data);
+                printk(KERN_EMERG "GT_INTRCAUSE = %08x\n", data);
                 GT_READ(0x70, data);
                 GT_READ(0x78, datahi);
-                printk("GT_CPU_ERR_ADDR = %0x2%08x\n", datahi,data);
+                printk(KERN_EMERG "GT_CPU_ERR_ADDR = %0x2%08x\n", datahi,data);
                 break;
         case MIPS_REVISION_CORID_BONITO64:
         case MIPS_REVISION_CORID_CORE_20K:
                 data = BONITO_INTISR;
-                printk("BONITO_INTISR = %08x\n", data);
+                printk(KERN_EMERG "BONITO_INTISR = %08x\n", data);
                 data = BONITO_INTEN;
-                printk("BONITO_INTEN = %08x\n", data);
+                printk(KERN_EMERG "BONITO_INTEN = %08x\n", data);
                 data = BONITO_INTPOL;
-                printk("BONITO_INTPOL = %08x\n", data);
+                printk(KERN_EMERG "BONITO_INTPOL = %08x\n", data);
                 data = BONITO_INTEDGE;
-                printk("BONITO_INTEDGE = %08x\n", data);
+                printk(KERN_EMERG "BONITO_INTEDGE = %08x\n", data);
                 data = BONITO_INTSTEER;
-                printk("BONITO_INTSTEER = %08x\n", data);
+                printk(KERN_EMERG "BONITO_INTSTEER = %08x\n", data);
                 data = BONITO_PCICMD;
-                printk("BONITO_PCICMD = %08x\n", data);
+                printk(KERN_EMERG "BONITO_PCICMD = %08x\n", data);
                 break;
         }
 
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/malta/malta_setup.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/malta/malta_setup.c
--- linux-2.6.0-test1/arch/mips/mips-boards/malta/malta_setup.c	2003-07-13 23:39:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/malta/malta_setup.c	2003-07-16 20:12:57.000000000 -0400
@@ -111,10 +111,10 @@
 		int line;
 		argptr += strlen("kgdb=ttyS");
 		if (*argptr != '0' && *argptr != '1')
-			printk("KGDB: Uknown serial line /dev/ttyS%c, "
+			printk(KERN_WARNING "KGDB: Uknown serial line /dev/ttyS%c, "
 			       "falling back to /dev/ttyS1\n", *argptr);
 		line = *argptr == '0' ? 0 : 1;
-		printk("KGDB: Using serial line /dev/ttyS%d for session\n",
+		printk(KERN_NOTICE "KGDB: Using serial line /dev/ttyS%d for session\n",
 		       line ? 1 : 0);
 
 		rs_kgdb_hook(line);
diff -urN linux-2.6.0-test1/arch/mips/mips-boards/sead/sead_time.c linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/sead/sead_time.c
--- linux-2.6.0-test1/arch/mips/mips-boards/sead/sead_time.c	2003-07-13 23:33:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mips-boards/sead/sead_time.c	2003-07-16 20:14:01.000000000 -0400
@@ -111,9 +111,9 @@
         /* Start r4k counter. */
         write_c0_count(0);
 
-	printk("calculating r4koff... ");
+	printk(KERN_INFO "calculating r4koff... ");
 	r4k_offset = cal_r4koff();
-	printk("%08lx(%d)\n", r4k_offset, (int) r4k_offset);
+	printk(KERN_INFO "%08lx(%d)\n", r4k_offset, (int) r4k_offset);
 
         if ((read_c0_prid() & 0xffff00) ==
 	    (PRID_COMP_MIPS | PRID_IMP_20KC))
@@ -123,7 +123,7 @@
 
 	est_freq += 5000;    /* round */
 	est_freq -= est_freq%10000;
-	printk("CPU frequency %d.%02d MHz\n", est_freq/1000000,
+	printk(KERN_INFO "CPU frequency %d.%02d MHz\n", est_freq/1000000,
 	       (est_freq%1000000)*100/1000000);
 
 	local_irq_restore(flags);
diff -urN linux-2.6.0-test1/arch/mips/mm/c-r3k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/c-r3k.c
--- linux-2.6.0-test1/arch/mips/mm/c-r3k.c	2003-07-13 23:37:13.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/c-r3k.c	2003-07-16 15:43:47.000000000 -0400
@@ -277,7 +277,7 @@
 		return;
 
 #ifdef DEBUG_CACHE
-	printk("cpage[%d,%08lx]", cpu_context(smp_processor_id(), mm), page);
+	printk(KERN_DEBUG "cpage[%d,%08lx]", cpu_context(smp_processor_id(), mm), page);
 #endif
 
 	physpage = (unsigned long) page_address(page);
@@ -290,7 +290,7 @@
 	unsigned long flags;
 
 #ifdef DEBUG_CACHE
-	printk("csigtramp[%08lx]", addr);
+	printk(KERN_DEBUG "csigtramp[%08lx]", addr);
 #endif
 
 	flags = read_c0_status();
@@ -337,8 +337,8 @@
 
 	_dma_cache_wback_inv = r3k_dma_cache_wback_inv;
 
-	printk("Primary instruction cache %ldkB, linesize %ld bytes.\n",
+	printk(KERN_INFO "Primary instruction cache %ldkB, linesize %ld bytes.\n",
 		icache_size >> 10, icache_lsize);
-	printk("Primary data cache %ldkB, linesize %ld bytes.\n",
+	printk(KERN_INFO "Primary data cache %ldkB, linesize %ld bytes.\n",
 		dcache_size >> 10, dcache_lsize);
 }
diff -urN linux-2.6.0-test1/arch/mips/mm/c-r4k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/c-r4k.c
--- linux-2.6.0-test1/arch/mips/mm/c-r4k.c	2003-07-13 23:38:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/c-r4k.c	2003-07-16 15:44:54.000000000 -0400
@@ -880,12 +880,12 @@
 		break;
 	}
 
-	printk("Primary instruction cache %ldkB, %s, %s, linesize %d bytes.\n",
+	printk(KERN_INFO "Primary instruction cache %ldkB, %s, %s, linesize %d bytes.\n",
 	       icache_size >> 10,
 	       cpu_has_vtag_icache ? "virtually tagged" : "physically tagged",
 	       way_string[c->icache.ways], c->icache.linesz);
 
-	printk("Primary data cache %ldkB %s, linesize %d bytes.\n",
+	printk(KERN_INFO "Primary data cache %ldkB %s, linesize %d bytes.\n",
 	       dcache_size >> 10, way_string[c->dcache.ways], c->dcache.linesz);
 }
 
@@ -1083,7 +1083,7 @@
 	    !(current_cpu_data.scache.flags & MIPS_CACHE_NOT_PRESENT))
 		panic("Dunno how to handle MIPS32 / MIPS64 second level cache");
 
-	printk("Unified secondary cache %ldkB %s, linesize %d bytes.\n",
+	printk(KERN_INFO "Unified secondary cache %ldkB %s, linesize %d bytes.\n",
 	       scache_size >> 10, way_string[c->scache.ways], c->scache.linesz);
 
 	current_cpu_data.options |= MIPS_CPU_SUBSET_CACHES;
diff -urN linux-2.6.0-test1/arch/mips/mm/c-tx39.c linux-2.6.0-test1-printk-mips/arch/mips/mm/c-tx39.c
--- linux-2.6.0-test1/arch/mips/mm/c-tx39.c	2003-07-13 23:39:32.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/c-tx39.c	2003-07-16 15:56:14.000000000 -0400
@@ -488,8 +488,8 @@
 	current_cpu_data.icache.waybit = 0;
 	current_cpu_data.dcache.waybit = 0;
 
-	printk("Primary instruction cache %ldkb, linesize %d bytes\n",
+	printk(KERN_INFO "Primary instruction cache %ldkb, linesize %d bytes\n",
 		icache_size >> 10, current_cpu_data.icache.linesz);
-	printk("Primary data cache %ldkb, linesize %d bytes\n",
+	printk(KERN_INFO "Primary data cache %ldkb, linesize %d bytes\n",
 		dcache_size >> 10, current_cpu_data.dcache.linesz);
 }
diff -urN linux-2.6.0-test1/arch/mips/mm/fault.c linux-2.6.0-test1-printk-mips/arch/mips/mm/fault.c
--- linux-2.6.0-test1/arch/mips/mm/fault.c	2003-07-13 23:32:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/fault.c	2003-07-16 15:41:03.000000000 -0400
@@ -58,7 +58,7 @@
 	 * a poke.  Hold onto your hats...
 	 */
 	console_loglevel = 15;		/* NMI oopser may have shut the console up */
-	printk(" ");
+	printk(KERN_WARNING " ");
 	console_loglevel = loglevel_save;
 }
 
@@ -77,7 +77,7 @@
 	siginfo_t info;
 
 #if 0
-	printk("Cpu%d[%s:%d:%08lx:%ld:%08lx]\n", smp_processor_id(),
+	printk(KERN_NOTICE "Cpu%d[%s:%d:%08lx:%ld:%08lx]\n", smp_processor_id(),
 	       current->comm, current->pid, address, write, regs->cp0_epc);
 #endif
 
@@ -162,7 +162,7 @@
 		tsk->thread.cp0_badvaddr = address;
 		tsk->thread.error_code = write;
 #if 0
-		printk("do_page_fault() #2: sending SIGSEGV to %s for illegal %s\n"
+		printk(KERN_NOTICE "do_page_fault() #2: sending SIGSEGV to %s for illegal %s\n"
 		       "%08lx (epc == %08lx, ra == %08lx)\n",
 		       tsk->comm,
 		       write ? "write access to" : "read access from",
@@ -215,7 +215,7 @@
 		down_read(&mm->mmap_sem);
 		goto survive;
 	}
-	printk("VM: killing process %s\n", tsk->comm);
+	printk(KERN_WARNING "VM: killing process %s\n", tsk->comm);
 	if (user_mode(regs))
 		do_exit(SIGKILL);
 	goto no_context;
diff -urN linux-2.6.0-test1/arch/mips/mm/ioremap.c linux-2.6.0-test1-printk-mips/arch/mips/mm/ioremap.c
--- linux-2.6.0-test1/arch/mips/mm/ioremap.c	2003-07-13 23:34:03.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/ioremap.c	2003-07-16 15:42:39.000000000 -0400
@@ -33,7 +33,7 @@
 	pfn = phys_addr >> PAGE_SHIFT;
 	do {
 		if (!pte_none(*pte)) {
-			printk("remap_area_pte: page already exists\n");
+			printk(KERN_CRIT "remap_area_pte: page already exists\n");
 			BUG();
 		}
 		set_pte(pte, pfn_pte(pfn, pgprot));
diff -urN linux-2.6.0-test1/arch/mips/mm/pgtable.c linux-2.6.0-test1-printk-mips/arch/mips/mm/pgtable.c
--- linux-2.6.0-test1/arch/mips/mm/pgtable.c	2003-07-13 23:32:44.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/pgtable.c	2003-07-16 15:41:56.000000000 -0400
@@ -9,9 +9,9 @@
 	int highmem = 0;
 	struct page *page;
 
-	printk("Mem-info:\n");
+	printk(KERN_INFO "Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk(KERN_INFO "Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
 	pfn = max_mapnr;
 	while (pfn-- > 0) {
 		page = pfn_to_page(pfn);
@@ -25,9 +25,9 @@
 		else if (page_count(page))
 			shared += page_count(page) - 1;
 	}
-	printk("%d pages of RAM\n", total);
-	printk("%d pages of HIGHMEM\n",highmem);
-	printk("%d reserved pages\n",reserved);
-	printk("%d pages shared\n",shared);
-	printk("%d pages swap cached\n",cached);
+	printk(KERN_INFO "%d pages of RAM\n", total);
+	printk(KERN_INFO "%d pages of HIGHMEM\n",highmem);
+	printk(KERN_INFO "%d reserved pages\n",reserved);
+	printk(KERN_INFO "%d pages shared\n",shared);
+	printk(KERN_INFO "%d pages swap cached\n",cached);
 }
diff -urN linux-2.6.0-test1/arch/mips/mm/sc-ip22.c linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-ip22.c
--- linux-2.6.0-test1/arch/mips/mm/sc-ip22.c	2003-07-13 23:35:16.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-ip22.c	2003-07-16 15:43:17.000000000 -0400
@@ -62,7 +62,7 @@
 	unsigned int flags;
 
 #ifdef DEBUG_CACHE
-	printk("indy_sc_wback_invalidate[%08lx,%08lx]", addr, size);
+	printk(KERN_DEBUG "indy_sc_wback_invalidate[%08lx,%08lx]", addr, size);
 #endif
 
 	if (!size)
@@ -90,7 +90,7 @@
 
 	/* This is really cool... */
 #ifdef DEBUG_CACHE
-	printk("Enabling R4600 SCACHE\n");
+	printk(KERN_DEBUG "Enabling R4600 SCACHE\n");
 #endif
 	__asm__ __volatile__(
 	".set\tpush\n\t"
@@ -120,7 +120,7 @@
 	unsigned long tmp1, tmp2, tmp3;
 
 #ifdef DEBUG_CACHE
-	printk("Disabling R4600 SCACHE\n");
+	printk(KERN_DEBUG "Disabling R4600 SCACHE\n");
 #endif
 	__asm__ __volatile__(
 	".set\tpush\n\t"
diff -urN linux-2.6.0-test1/arch/mips/mm/sc-r5k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-r5k.c
--- linux-2.6.0-test1/arch/mips/mm/sc-r5k.c	2003-07-13 23:34:40.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-r5k.c	2003-07-16 15:42:56.000000000 -0400
@@ -93,7 +93,7 @@
 
 	scache_size = (512 * 1024) << ((config & R5K_CONF_SS) >> 20);
 
-	printk("R5000 SCACHE size %ldkB, linesize 32 bytes.\n",
+	printk(KERN_INFO "R5000 SCACHE size %ldkB, linesize 32 bytes.\n",
 			scache_size >> 10);
 
 	return 1;
diff -urN linux-2.6.0-test1/arch/mips/mm/sc-rm7k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-rm7k.c
--- linux-2.6.0-test1/arch/mips/mm/sc-rm7k.c	2003-07-13 23:28:53.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/sc-rm7k.c	2003-07-16 15:36:27.000000000 -0400
@@ -35,7 +35,7 @@
 	unsigned long end, a;
 
 #ifdef DEBUG_CACHE
-	printk("rm7k_sc_wback_inv[%08lx,%08lx]", addr, size);
+	printk(KERN_DEBUG "rm7k_sc_wback_inv[%08lx,%08lx]", addr, size);
 #endif
 
 	a = addr & ~(sc_lsize - 1);
@@ -65,7 +65,7 @@
 	unsigned long end, a;
 
 #ifdef DEBUG_CACHE
-	printk("rm7k_sc_inv[%08lx,%08lx]", addr, size);
+	printk(KERN_DEBUG "rm7k_sc_inv[%08lx,%08lx]", addr, size);
 #endif
 
 	a = addr & ~(sc_lsize - 1);
@@ -148,7 +148,7 @@
 
 	printk(KERN_INFO "Enabling secondary cache...");
 	func();
-	printk("  done\n");
+	printk(KERN_INFO "  done\n");
 
 	/*
 	 * While we're at it let's deal with the tertiary cache.
